Skip to main content
PATCH
/
api
/
v1
/
admin
/
webhooks
Update Webhooks
curl --request PATCH \
  --url https://api.example.com/api/v1/admin/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "products_url": "",
  "cart_url": "",
  "cart_get_url": "",
  "secret": "",
  "timeout_seconds": 5
}
'
{
  "ok": true,
  "has_secret": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
products_url
string
default:""

URL VIZOCHOK calls to get product prices and availability

cart_url
string
default:""

URL VIZOCHOK calls for cart operations (add/remove/update/clear)

cart_get_url
string
default:""

URL VIZOCHOK calls to load existing cart at session start

secret
string
default:""

HMAC-SHA256 shared secret for webhook signature verification

timeout_seconds
number
default:5

Maximum time in seconds to wait for webhook response (default: 5)

Response

Successful Response

ok
boolean
required

Whether the update was successful

has_secret
boolean
required

Whether an HMAC-SHA256 shared secret is configured after the update